error/moodle/wrong setting level moodle backup xml file

Jump to: navigation, search

Note: You are currently viewing documentation for Moodle 2.2. Up-to-date documentation for the latest stable version is available here: error/moodle/wrong setting level moodle backup xml file.

Unsupported setting level(s)

The only supported setting levels currently within the moodle_backup.xml (moodle_backup/information/settings/setting/level) file (found within the mbz file) are :

'root', 'course', 'section', 'activity'. 

Anything else is unsupported and cannot be shared easily.

If your backup file is facing a 'error/wrong_setting_level_moodle_backup_xml_file' error upon others or yourself attempting to restore it, the system that generated the backup file might have a mod or plugin that is adding these unsupported setting levels into the backup. You need to make sure your backup file is compliant with what is currently supported in moodle for it to complete the restoring process. However, note that any unsupported settings and related mod or plugin data won't be reliably restored.

To clean that up, unzip the .mbz backup file. The .mbz file is a zip file and opens up with any zip program.

Edit moodle_backup.xml found within your extracted directory.

Remove any <setting>...</setting> which contains a <level>unsupported_level</level> block under :-

<moodle_backup>
 <information>
   <settings>...remove any unsupported setting/level within the below!
     <setting>
       <level>*local*</level>
         ...
     <setting>
   </settings>
 </information>
</moodle_backup>


Save your changes and zip up the directory again as the original mbz file name.

That's it, anyone should be able to use your backup now. Go ahead and share it :-).